--- old/usr/src/lib/fm/libfmevent/common/fmev_subscribe.c	Thu Jan 17 14:55:18 2019
+++ new/usr/src/lib/fm/libfmevent/common/fmev_subscribe.c	Thu Jan 17 14:55:18 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * FMA event subscription interfaces - subscribe to FMA protocol
  * from outside the fault manager.
  */
@@ -205,7 +209,6 @@
  * does not keep either retrying (EAGAIN) or bleat to cmn_err.
  */
 
-uint64_t fmev_proxy_cb_inval;
 uint64_t fmev_proxy_cb_enomem;
 
 int
@@ -217,11 +220,6 @@
 	char *class;
 	fmev_t ev;
 
-	if (sip == NULL || sip->si_cb == NULL) {
-		fmev_proxy_cb_inval++;
-		return (0);
-	}
-
 	if ((ev = fmev_sysev2fmev(IHDL2HDL(ihdl), sep, &class, &nvl)) == NULL) {
 		fmev_proxy_cb_enomem++;
 		return (0);
